## ⚠️ Deprecated!

**This repository is deprecated.** <br />
A more up-to-date version of examples is available here: https://github.com/grafana/grafana-plugin-examples

---

# Grafana Data Source Plugin Template

[![Build](https://github.com/grafana/grafana-starter-datasource/workflows/CI/badge.svg)](https://github.com/grafana/grafana-starter-datasource/actions?query=workflow%3A%22CI%22)

This template is a starting point for building Grafana Data Source Plugins

## What is Grafana Data Source Plugin?

Grafana supports a wide range of data sources, including Prometheus, MySQL, and even Datadog. There’s a good chance you can already visualize metrics from the systems you have set up. In some cases, though, you already have an in-house metrics solution that you’d like to add to your Grafana dashboards. Grafana Data Source Plugins enables integrating such solutions with Grafana.

## Getting started

#### Manual: Installing the Plugin Manually on an Existing Grafana

1. Get the zip file from DLI Console
2. Extract the zip file into the data/plugins subdirectory for Grafana:
   `unzip <the_download_zip_file> -d <plugin_dir>/`

   Finding the plugin directory can sometimes be a challenge as this is platform and settings
   dependent. A common location for this on Linux devices is `/var/lib/grafana/plugins/`
3. See the recommended installation above (from the restart step)

## Documentation

### Usage

#### Adding a DLI Datasource

1. Open the side menu by clicking the Grafana icon in the top header.
1. In the side menu under the Dashboards link you should find a link named Data Sources.
1. Click the + Add data source button in the top header.
1. Select DLI from the Type dropdown.
   ```

## Learn more

- [Build a data source plugin tutorial](https://grafana.com/tutorials/build-a-data-source-plugin)
- [Grafana documentation](https://grafana.com/docs/)
- [Grafana Tutorials](https://grafana.com/tutorials/) - Grafana Tutorials are step-by-step guides that help you make the most of Grafana
- [Grafana UI Library](https://developers.grafana.com/ui) - UI components to help you build interfaces using Grafana Design System
